export const GECKO_SERVER_HOST: "127.0.0.1";
export class GeckoProxy extends JWProxy {
    /** @type {boolean|undefined} */
    didProcessExit: boolean | undefined;
    proxyCommand(url: any, method: any, body?: null): Promise<any>;
}
export class GeckoDriverServer {
    /**
     *
     * @param {import('@appium/types').AppiumLogger} log
     * @param {import('@appium/types').StringRecord} caps
     */
    constructor(log: import("@appium/types").AppiumLogger, caps: import("@appium/types").StringRecord);
    /** @type {GeckoProxy} */
    proxy: GeckoProxy;
    process: GeckoDriverProcess;
    log: import("@appium/types").AppiumLogger;
    get isRunning(): boolean;
    /**
     *
     * @param {import('@appium/types').StringRecord} geckoCaps
     * @param {SessionOptions} [opts={}]
     * @returns {Promise<import('@appium/types').StringRecord>}
     */
    start(geckoCaps: import("@appium/types").StringRecord, opts?: SessionOptions): Promise<import("@appium/types").StringRecord>;
    stop(): Promise<void>;
}
export default GeckoDriverServer;
export type SessionOptions = {
    reqBasePath?: string | undefined;
};
import { JWProxy } from 'appium/driver';
declare class GeckoDriverProcess {
    /**
     *
     * @param {import('@appium/types').AppiumLogger} log
     * @param {import('@appium/types').StringRecord} opts
     */
    constructor(log: import("@appium/types").AppiumLogger, opts?: import("@appium/types").StringRecord);
    /** @type {boolean|undefined} */
    noReset: boolean | undefined;
    /** @type {string|undefined} */
    verbosity: string | undefined;
    /** @type {string|undefined} */
    androidStorage: string | undefined;
    /** @type {number|undefined} */
    marionettePort: number | undefined;
    /** @type {number|undefined} */
    port: number | undefined;
    log: import("@appium/types").AppiumLogger;
    proc: SubProcess | null;
    get isRunning(): boolean;
    init(): Promise<void>;
    stop(): Promise<void>;
    kill(): Promise<void>;
}
import { SubProcess } from 'teen_process';
//# sourceMappingURL=gecko.d.ts.map